> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/auth/token
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/auth/token:
    post:
      tags:
        - Authentication
      summary: Token
      operationId: integrations_api_api_v2_auth_router_token
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TokenInput'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenOutput'
components:
  schemas:
    TokenInput:
      properties:
        grant_type:
          anyOf:
            - enum:
                - password
                - refresh_token
              type: string
            - type: 'null'
          title: Grant Type
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
        refresh_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Refresh Token
      required:
        - grant_type
      title: TokenInput
      type: object
    TokenOutput:
      properties:
        access_token:
          title: Access Token
          type: string
        expires_in:
          title: Expires In
          type: integer
        token_type:
          title: Token Type
          type: string
        scope:
          title: Scope
          type: string
        refresh_token:
          title: Refresh Token
          type: string
      required:
        - access_token
        - expires_in
        - token_type
        - scope
        - refresh_token
      title: TokenOutput
      type: object

````